Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.server.core
Interface IJ2EEModule

All Known Subinterfaces:
  IApplicationClientModule, IConnectorModule, IEJBModule, IWebModule

    public interface IJ2EEModule

A J2EE module that can be deployed to a server.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`IContainer[]` | `getJavaOutputFolders()` Returns the root folders containing Java output in this module.
`IContainer[]` | `getResourceFolders()` Returns the root folders for the resources in this module.
`boolean` | `isBinary()` Returns true if this is a binary (zipped) module, and false if it is expanded.

Method Detail

### getResourceFolders

    IContainer[] getResourceFolders()

  Returns the root folders for the resources in this module. Returns an empty array if this is a binary module.

  Returns:
    a possibly-empty array of resource folders

### getJavaOutputFolders

    IContainer[] getJavaOutputFolders()

  Returns the root folders containing Java output in this module. Returns an empty array if this is a binary module.

  Returns:
    a possibly-empty array of Java output folders

### isBinary

    boolean isBinary()

  Returns true if this is a binary (zipped) module, and false if it is expanded.

  If true, members() should return only a single element - the binary (jar or zip file) that contains the contents of this module. (a single IModuleResource, e.g. myejb.jar) Also, getLocation() should return the full path up to and including the binary itself. (e.g. c:\temp\myejb.jar)

  If false, members() should return the entire contents of the module, starting at the root. There should be no preceeding directory structure. (an array of IModuleResources, e.g. index.html, WEB-INF/web.xml, ...) In this case, getLocation() should return the path to the root folder containing these resources.

  Returns:
    boolean

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD